Subject: Re: GNU Guix backend for PackageKit / Gnome-Software

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Thu, 8 Dec 2022 18:55:20 +0100

Hi,

How does it work when Nix is installed on top of another distribution?
Is there something to handle that in packagekit? 

Or with distributions like Ubuntu that also use snap, it is is handled
transparently somehow? Or do users have to choose which package manager
to use?

I wonder that because I'd be interested in somehow supporting the
package manager of a foreign distribution (Parabola) to have an unified
configuration that can work also when guix / guix home is used on top
of another distribution[1].

[1] There are various advantages of using the distribution package
    manager instead of guix home in that case, like having the packages
    installed system wide for instance, or having the packages take
    less space.

Denis.